VMTKIMAGERESLICE(1)

NAME
vmtkimagereslice - vmtk script vmtkimagereslice

DESCRIPTION
Automatic piping vmtkimagereslice Parsing options vmtkimagereslice

vmtkimagereslice : reslice an image based on user-specified parameters

    or on a reference image

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Image (vtkImageData,1): the input image

-ifile ImageInputFileName (str,1): filename for the default Image

    reader

-r ReferenceImage (vtkImageData,1): the reference image

-rfile ReferenceImageInputFileName (str,1): filename for the

    default ReferenceImage reader

-spacing OutputSpacing (float,3); default=[]: the output spacing

-origin OutputOrigin (float,3); default=[]: the output origin

-extent OutputExtent (int,6); default=[]: the output extent

-interpolation Interpolation (str,1) in ['nearestneighbor',

    'linear', 'cubic']; default=linear: interpolation during reslice

-cast Cast (bool,1); default=1: toggle cast image to float type

-background BackgroundLevel (float,1); default=0.0: the output

    image background

-matrix4x4 Matrix4x4 (vtkMatrix4x4,1): the input transform matrix

-matrix MatrixCoefficients (float,16); default=[]: coefficients of

    transform matrix

-invert InvertMatrix (bool,1); default=0: invert matrix before

    applying transformation

-rotation Rotation (float,3); default=[0.0, 0.0, 0.0]: rotations

    around the x-,y- and z-axis

-translation Translation (float,3); default=[0.0, 0.0, 0.0]:

    translation in the x-,y- and z-directions

-scaling Scaling (float,3); default=[1.0, 1.0, 1.0]: scaling of the

    x-,y- and z-directions

-transforminputsampling TransformInputSampling (bool,1); default=1:

    transform spacing, origin and extent of the Input (or the InformationInput) according to the direction cosines and origin of the ResliceAxes before applying them as the default output spacing, origin and extent

-ofile ImageOutputFileName (str,1): filename for the default Image

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Image (vtkImageData,1): the output image